Siparişler
RPC Planı Satın Al
Purchase an RPC plan using account balance. Deducts the balance, creates the order, invoice, payment, and license in a single atomic transaction.
POST
/
customer
/
v2
/
orders
/
purchase
Purchase RPC Plan
curl --request POST \
--url https://orbitflare.com/api/customer/v2/orders/purchase \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product_slug": "<string>",
"billing_period": "monthly",
"discount_code": "<string>"
}
'import requests
url = "https://orbitflare.com/api/customer/v2/orders/purchase"
payload = {
"product_slug": "<string>",
"billing_period": "monthly",
"discount_code": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({product_slug: '<string>', billing_period: 'monthly', discount_code: '<string>'})
};
fetch('https://orbitflare.com/api/customer/v2/orders/purchase', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"order": {
"reference": "<string>",
"status": "<string>",
"total_amount": 123
},
"license": {
"key": "<string>",
"slug": "<string>",
"status": "<string>",
"renewal_date": "2023-11-07T05:31:56Z"
},
"invoice": {
"reference": "<string>"
},
"new_balance": 123
}
}{
"success": false,
"message": "<string>",
"errors": {},
"error": "<string>"
}{
"success": false,
"message": "Insufficient balance. Please top up first.",
"data": {
"required": 123,
"balance": 123,
"shortfall": 123
}
}{
"success": false,
"message": "<string>",
"errors": {},
"error": "<string>"
}Yetkilendirmeler
bearer_tokenapi_key
Bearer token from device or wallet auth
Gövde
application/json
Bu sayfa yararlı mıydı?
⌘I
Purchase RPC Plan
